<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <form #editForm="ngForm" [ngClass]="{'was-validated': formValid!==null}">
          <div fxLayout="row wrap" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
            <mat-form-field fxFlex="45" fxFlex.xs="100">
              <mat-label>Color</mat-label>
              <select matNativeControl name="idColor" id="idColor" #idColor="ngModel" [(ngModel)]="item.idColor">
                <option *ngFor="let est of colores" [value]="est.id">
                  {{est.nombre}}
                </option>
              </select>
            </mat-form-field>
            <mat-form-field fxFlex="45" fxFlex.xs="100">
              <mat-placeholder>Activo</mat-placeholder>
              <select matNativeControl name="activo" id="activo" #activo="ngModel" [(ngModel)]="item.activo">
                <option value="SI">
                  SI
                </option>
                <option value="NO">
                  NO
                </option>
              </select>
            </mat-form-field>
            <mat-form-field fxFlex="100" fxFlex.xs="100">
              <input matInput placeholder="Nombre" [(ngModel)]="item.nombre" name="nombre" #nombre="ngModel">
            </mat-form-field>
            <mat-form-field fxFlex="100" fxFlex.xs="100">
              <input matInput placeholder="Foto Normal" [(ngModel)]="item.nombreFoto" name="nombreFoto"
                #nombreFoto="ngModel">
            </mat-form-field>
            <mat-form-field fxFlex="100" fxFlex.xs="100">
              <input matInput placeholder="Foto Pequeña" [(ngModel)]="item.fotoPequenia" name="fotoPequenia"
                #fotoPequenia="ngModel">
            </mat-form-field>
            <mat-form-field fxFlex="100" fxFlex.xs="100">
              <input matInput placeholder="Indicaciones" [(ngModel)]="item.indicaciones" name="indicaciones"
                #indicaciones="ngModel">
            </mat-form-field>

          </div>
        </form>
      </mat-card-content>
    </mat-card>
    <app-toolbar-button>
      <button mat-raised-button color="primary" (click)="save(editForm.valid!, item)">
        <mat-icon>save</mat-icon>Guardar
      </button>
      <button mat-raised-button color="secondary" (click)="goBack()">
        <mat-icon>keyboard_arrow_left</mat-icon>Regresar
      </button>
    </app-toolbar-button>
  </div>
</div>
